<div class="front_page_section front_page_section_subscribe<?php
	$showmax_scheme = showmax_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! empty( $showmax_scheme ) && ! showmax_is_inherit( $showmax_scheme ) ) {
		echo ' scheme_' . esc_attr( $showmax_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( showmax_get_theme_option( 'front_page_subscribe_paddings' ) );
	if ( showmax_get_theme_option( 'front_page_subscribe_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$showmax_css      = '';
		$showmax_bg_image = showmax_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $showmax_bg_image ) ) {
			$showmax_css .= 'background-image: url(' . esc_url( showmax_get_attachment_url( $showmax_bg_image ) ) . ');';
		}
		if ( ! empty( $showmax_css ) ) {
			echo ' style="' . esc_attr( $showmax_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$showmax_anchor_icon = showmax_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$showmax_anchor_text = showmax_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $showmax_anchor_icon ) || ! empty( $showmax_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $showmax_anchor_icon ) ? ' icon="' . esc_attr( $showmax_anchor_icon ) . '"' : '' )
									. ( ! empty( $showmax_anchor_text ) ? ' title="' . esc_attr( $showmax_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( showmax_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' showmax-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$showmax_css      = '';
			$showmax_bg_mask  = showmax_get_theme_option( 'front_page_subscribe_bg_mask' );
			$showmax_bg_color_type = showmax_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $showmax_bg_color_type ) {
				$showmax_bg_color = showmax_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $showmax_bg_color_type ) {
				$showmax_bg_color = showmax_get_scheme_color( 'bg_color', $showmax_scheme );
			} else {
				$showmax_bg_color = '';
			}
			if ( ! empty( $showmax_bg_color ) && $showmax_bg_mask > 0 ) {
				$showmax_css .= 'background-color: ' . esc_attr(
					1 == $showmax_bg_mask ? $showmax_bg_color : showmax_hex2rgba( $showmax_bg_color, $showmax_bg_mask )
				) . ';';
			}
			if ( ! empty( $showmax_css ) ) {
				echo ' style="' . esc_attr( $showmax_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$showmax_caption = showmax_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $showmax_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $showmax_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $showmax_caption, 'showmax_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$showmax_description = showmax_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $showmax_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $showmax_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $showmax_description ), 'showmax_kses_content' ); ?></div>
				<?php
			}

			// Content
			$showmax_sc = showmax_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $showmax_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $showmax_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					showmax_show_layout( do_shortcode( $showmax_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
