<?php
/**
 * The template to display default site footer
 *
 * @package SHOWMAX
 * @since SHOWMAX 1.0.10
 */

$showmax_footer_id = showmax_get_custom_footer_id();
$showmax_footer_meta = get_post_meta( $showmax_footer_id, 'trx_addons_options', true );
if ( ! empty( $showmax_footer_meta['margin'] ) ) {
	showmax_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( showmax_prepare_css_value( $showmax_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $showmax_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $showmax_footer_id ) ) ); ?>
						<?php
						$showmax_footer_scheme = showmax_get_theme_option( 'footer_scheme' );
						if ( ! empty( $showmax_footer_scheme ) && ! showmax_is_inherit( $showmax_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $showmax_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'showmax_action_show_layout', $showmax_footer_id );
	?>
</footer><!-- /.footer_wrap -->
