<?php
/**
 * The template to display the background video in the header
 *
 * @package SHOWMAX
 * @since SHOWMAX 1.0.14
 */
$showmax_header_video = showmax_get_header_video();
$showmax_embed_video  = '';
if ( ! empty( $showmax_header_video ) && ! showmax_is_from_uploads( $showmax_header_video ) ) {
	if ( showmax_is_youtube_url( $showmax_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $showmax_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php showmax_show_layout( showmax_get_embed_video( $showmax_header_video ) ); ?></div>
		<?php
	}
}
