<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package SHOWMAX
 * @since SHOWMAX 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$showmax_copyright_scheme = showmax_get_theme_option( 'copyright_scheme' );
if ( ! empty( $showmax_copyright_scheme ) && ! showmax_is_inherit( $showmax_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $showmax_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$showmax_copyright = showmax_get_theme_option( 'copyright' );
			if ( ! empty( $showmax_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$showmax_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $showmax_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$showmax_copyright = showmax_prepare_macros( $showmax_copyright );
				// Display copyright
				echo wp_kses( nl2br( $showmax_copyright ), 'showmax_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
